Documents

Operations of the Knowledge Base API. Paths are relative to your deployment's API host.

POST /api/knowledge-base-api/spaces/{spaceSlug}/documents

Create a Document-Buddy document (MARKDOWN_DOCUMENT or RICH_DOCUMENT) as a session-less content page

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
spaceSlugpathstringyes

Request body: application/json CreateDocumentDto

StatusDescriptionBody
201application/json DocumentResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto